package websockets.handlers;

import io.undertow.websockets.core.AbstractReceiveListener;
import io.undertow.websockets.core.BufferedTextMessage;
import io.undertow.websockets.core.WebSocketChannel;
import io.undertow.websockets.core.WebSockets;

import java.util.ArrayList;

public class CuisineWebSocketChichatHandler extends CuisineReceiveListener {

    final int MAX_MESSAGES = 10;
    ArrayList<String> vMessageHistory;

    public CuisineWebSocketChichatHandler() {
        vMessageHistory = new ArrayList<>();
    }

    protected void onFullTextMessage(WebSocketChannel iChannel, BufferedTextMessage iTextMessage) {
        String vMessageContent = iTextMessage.getData();
        if(!vMessageContent.equals("R0VU") && vMessageContent.length()>0 && vMessageContent.length()<250)
            vMessageHistory.add(vMessageContent);
        if(vMessageHistory.size() > MAX_MESSAGES)
        {
            vMessageHistory.remove(0);
        }
        StringBuilder vBuilder = new StringBuilder();
        for(String vMessage : vMessageHistory)
        {
            vBuilder.append(vMessage+"\n");
        }

        WebSockets.sendText(vBuilder.toString(), iChannel, null);
    }

    public void register(WebSocketChannel iChannel)
    {

    }

    public void unregister(WebSocketChannel iChannel)
    {

    }

    protected void notifyOthers(String iMessages)
    {
        Websockets.sendText(iMessages)
    }

}