package websockets.handlers;


import io.undertow.websockets.core.BufferedTextMessage;
import io.undertow.websockets.core.WebSocketChannel;
import io.undertow.websockets.core.WebSockets;
import tcp.CuisineTCPServer;

public class CuisineWebSocketWebSocketMessageHandler extends CuisineWebSocketReceiveHandler {

    private CuisineTCPServer fTCPServer;

    public CuisineWebSocketWebSocketMessageHandler(CuisineTCPServer iTCPServer) {
        super();
        fTCPServer = iTCPServer;
    }

    protected void onFullTextMessage(WebSocketChannel iChannel, BufferedTextMessage iTextMessage) {
        //Handle message on webSocket
        WebSockets.sendText(String.valueOf(fTCPServer.getCurrentTemperature()), iChannel, null);
    }
}